---
title: "Update a product"
description: ""
url: https://docs.roasos.com/api-reference/products/updateProduct
---

# Update a product

## `PATCH /v1/products/{id}`

Endpoint: `PATCH https://api.roasos.com/v1/products/{id}`

Update a product

### Parameters

- `id` (path) — required

### Request body

Content type: `application/json`

### Responses

- `200`: Updated product
- `400`: Invalid request, or an image is not an immutable object this workspace owns
- `404`: Not found
- `409`: The requested hero is neither a kit angle of this product nor one of its images

Read the full reference at https://docs.roasos.com/api-reference/products/updateProduct.
